summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Nikos Giotis <nikos.giotis@gmail.com>2014-10-30 20:45:12 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-10-30 20:45:12 +0700
commite7f0e37222cc04446ab485ccc3b7892cd57f394d (patch)
treefaf10f85d9a64fd68342d8d168d662c8c80efe59
parent44ea8def1bdadf8220e0971d353fe44252fc08eb (diff)
downloadslackbuilds-e7f0e3722.tar.gz
slackbuilds-e7f0e3722.tar.xz
development/qbs: Added (Qt Build Suite).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/qbs/README9
-rw-r--r--development/qbs/qbs.SlackBuild89
-rw-r--r--development/qbs/qbs.info10
-rw-r--r--development/qbs/slack-desc19
4 files changed, 127 insertions, 0 deletions
diff --git a/development/qbs/README b/development/qbs/README
new file mode 100644
index 0000000000..98c9a2f74f
--- /dev/null
+++ b/development/qbs/README
@@ -0,0 +1,9 @@
+QBS - The Qt Build Suite
+
+Qt Build Suite (Qbs) is a tool that helps simplify the build process for
+developing projects across multiple platforms. Qbs can be used for any
+software project, whether it is written in Qt or not.
+
+Qbs is an all-in-one tool that generates a build graph from a high-level
+project description (like qmake or cmake) and additionally undertakes
+the task of executing the commands in the low-level build graph (like make).
diff --git a/development/qbs/qbs.SlackBuild b/development/qbs/qbs.SlackBuild
new file mode 100644
index 0000000000..41cb30e380
--- /dev/null
+++ b/development/qbs/qbs.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for qbs
+
+# Copyright 2014 Nikos Giotis <nikos.giotis@mail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=qbs
+VERSION=${VERSION:-1.3.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.src.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Build qbs
+qmake -r qbs.pro QBS_LIBRARY_DIRNAME=lib$LIBDIRSUFFIX
+make
+make docs
+make install INSTALL_ROOT=$PKG/usr
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/html doc/qbs.qch $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/qbs/qbs.info b/development/qbs/qbs.info
new file mode 100644
index 0000000000..82ca8aa731
--- /dev/null
+++ b/development/qbs/qbs.info
@@ -0,0 +1,10 @@
+PRGNAM="qbs"
+VERSION="1.3.2"
+HOMEPAGE="http://qt-project.org/wiki/qbs"
+DOWNLOAD="http://download.qt-project.org/official_releases/qbs/1.3.2/qbs-1.3.2.src.tar.gz"
+MD5SUM="bd4c6e8e7a18540c0c7eec5a579d5c35"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Nikos Giotis"
+EMAIL="nikos.giotis@gmail.com" \ No newline at end of file
diff --git a/development/qbs/slack-desc b/development/qbs/slack-desc
new file mode 100644
index 0000000000..626daf6d8c
--- /dev/null
+++ b/development/qbs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+qbs: qbs (Qt Build Suite)
+qbs:
+qbs: Qt Build Suite (Qbs) is a tool that helps simplify the build process
+qbs: for developing projects across multiple platforms. Qbs can be used for
+qbs: any software project, whether it is written in Qt or not.
+qbs:
+qbs:
+qbs:
+qbs:
+qbs:
+qbs: